Bug 1123328 - Upgrade/Install of redhat-storage-server-3.0.0.3-1.el6rhs fails with dependency error on abrt >= 2.0.8-23
Summary: Upgrade/Install of redhat-storage-server-3.0.0.3-1.el6rhs fails with dependen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: redhat-storage-server
Version: rhgs-3.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: RHGS 3.0.0
Assignee: Bala.FA
QA Contact: Rejy M Cyriac
URL:
Whiteboard:
Depends On:
Blocks: 1103550 1116789
TreeView+ depends on / blocked
 
Reported: 2014-07-25 10:30 UTC by Rejy M Cyriac
Modified: 2015-11-23 02:58 UTC (History)
15 users (show)

Fixed In Version: redhat-storage-server-3.0.0.3-2.el6rhs
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 19:44:59 UTC
sgirijan: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:1278 normal SHIPPED_LIVE Red Hat Storage Server 3.0 bug fix and enhancement update 2014-09-22 23:26:55 UTC

Description Rejy M Cyriac 2014-07-25 10:30:10 UTC
Description of problem:
The redhat-storage-server-3.0.0.3-1.el6rhs package has a dependency on abrt >= 2.0.8-23 . The highest version of abrt currently available is 2.0.8-21.el6 . So upgrade/install of of redhat-storage-server-3.0.0.3-1.el6rhs fails with dependency error

-------------------------------------------
Resolving Dependencies
--> Running transaction check
---> Package redhat-storage-server.noarch 0:3.0.0.0-5.el6rhs will be updated
---> Package redhat-storage-server.noarch 0:3.0.0.3-1.el6rhs will be an update
--> Processing Dependency: abrt >= 2.0.8-23 for package: redhat-storage-server-3.0.0.3-1.el6rhs.noarch
--> Finished Dependency Resolution
Error: Package: redhat-storage-server-3.0.0.3-1.el6rhs.noarch (redhat-storage)
           Requires: abrt >= 2.0.8-23
           Installed: abrt-2.0.8-21.el6.x86_64 (@anaconda-InstallationRepo-201406240129.x86_64/3.0)
               abrt = 2.0.8-21.el6
           Available: abrt-1.1.13-4.el6.x86_64 (rhel-6-server-rpms)
               abrt = 1.1.13-4.el6
           Available: abrt-1.1.16-3.el6.x86_64 (rhel-6-server-rpms)
               abrt = 1.1.16-3.el6
           Available: abrt-2.0.4-14.el6.x86_64 (rhel-6-server-rpms)
               abrt = 2.0.4-14.el6
           Available: abrt-2.0.8-6.el6.x86_64 (rhel-6-server-rpms)
               abrt = 2.0.8-6.el6
           Available: abrt-2.0.8-6.el6_3.2.x86_64 (rhel-6-server-rpms)
               abrt = 2.0.8-6.el6_3.2
           Available: abrt-2.0.8-15.el6.x86_64 (rhel-6-server-rpms)
               abrt = 2.0.8-15.el6
           Available: abrt-2.0.8-16.el6_4.1.x86_64 (rhel-6-server-rpms)
               abrt = 2.0.8-16.el6_4.1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
-------------------------------------------

Version-Release number of selected component (if applicable):
redhat-storage-server-3.0.0.3-1.el6rhs


How reproducible:


Steps to Reproduce:
1.Install RHSS-3.0 (RHSS-3.0-20140624.n.0-RHS-x86_64-DVD1.iso was used in current test)
2.Register to RHSM
3.Enable rhel6,scalefs, and rhs repos
4.yum update redhat-storage-server

Actual results:
Upgrade/Install of redhat-storage-server-3.0.0.3-1.el6rhs fails with dependency error on abrt >= 2.0.8-23

Expected results:
Upgrade/Install of redhat-storage-server-3.0.0.3-1.el6rhs should proceed without any errors

Comment 4 Sreenath G 2014-07-28 03:49:46 UTC
abrt-2.0.8-23.el6 was not built as part of RHS product in brew. So when it was added as part of dependency in redhat-storage-server package, there could have been a RT request to add it tag list and tag it.

   Anyway abrt-2.0.8-23.el6 has been tagged with rhs-3.0-rhel-6-candidate and rhs-3.0-rhel-6-pending (RC) tags

Comment 5 Sreenath G 2014-07-28 04:41:27 UTC
Also please check, if any of the sub-packages for abrt below need to be excluded from RHEL-6-Server-RHS-3 product listing

abrt-2.0.8-23.el6.SRPMS.rpm
abrt-2.0.8-23.el6.ppc.rpm
abrt-addon-vmcore-2.0.8-23.el6.ppc.rpm
abrt-debuginfo-2.0.8-23.el6.ppc.rpm
abrt-console-notification-2.0.8-23.el6.ppc.rpm
abrt-devel-2.0.8-23.el6.ppc.rpm
abrt-addon-kerneloops-2.0.8-23.el6.ppc.rpm
abrt-desktop-2.0.8-23.el6.ppc.rpm
abrt-python-2.0.8-23.el6.noarch.rpm
abrt-gui-2.0.8-23.el6.ppc.rpm
abrt-libs-2.0.8-23.el6.ppc.rpm
abrt-tui-2.0.8-23.el6.ppc.rpm
abrt-cli-2.0.8-23.el6.ppc.rpm
abrt-addon-ccpp-2.0.8-23.el6.ppc.rpm
abrt-addon-python-2.0.8-23.el6.ppc.rpm
abrt-addon-python-2.0.8-23.el6.s390.rpm
abrt-gui-2.0.8-23.el6.s390.rpm
abrt-addon-vmcore-2.0.8-23.el6.s390.rpm
abrt-addon-ccpp-2.0.8-23.el6.s390.rpm
abrt-tui-2.0.8-23.el6.s390.rpm
abrt-2.0.8-23.el6.s390.rpm
abrt-libs-2.0.8-23.el6.s390.rpm
abrt-desktop-2.0.8-23.el6.s390.rpm
abrt-devel-2.0.8-23.el6.s390.rpm
abrt-console-notification-2.0.8-23.el6.s390.rpm
abrt-addon-kerneloops-2.0.8-23.el6.s390.rpm
abrt-cli-2.0.8-23.el6.s390.rpm
abrt-debuginfo-2.0.8-23.el6.s390.rpm
abrt-tui-2.0.8-23.el6.x86_64.rpm
abrt-2.0.8-23.el6.x86_64.rpm
abrt-addon-python-2.0.8-23.el6.x86_64.rpm
abrt-debuginfo-2.0.8-23.el6.x86_64.rpm
abrt-libs-2.0.8-23.el6.x86_64.rpm
abrt-gui-2.0.8-23.el6.x86_64.rpm
abrt-addon-ccpp-2.0.8-23.el6.x86_64.rpm
abrt-devel-2.0.8-23.el6.x86_64.rpm
abrt-cli-2.0.8-23.el6.x86_64.rpm
abrt-addon-kerneloops-2.0.8-23.el6.x86_64.rpm
abrt-addon-vmcore-2.0.8-23.el6.x86_64.rpm
abrt-desktop-2.0.8-23.el6.x86_64.rpm
abrt-console-notification-2.0.8-23.el6.x86_64.rpm
abrt-addon-ccpp-2.0.8-23.el6.ppc64.rpm
abrt-desktop-2.0.8-23.el6.ppc64.rpm
abrt-libs-2.0.8-23.el6.ppc64.rpm
abrt-debuginfo-2.0.8-23.el6.ppc64.rpm
abrt-cli-2.0.8-23.el6.ppc64.rpm
abrt-console-notification-2.0.8-23.el6.ppc64.rpm
abrt-addon-kerneloops-2.0.8-23.el6.ppc64.rpm
abrt-addon-python-2.0.8-23.el6.ppc64.rpm
abrt-2.0.8-23.el6.ppc64.rpm
abrt-addon-vmcore-2.0.8-23.el6.ppc64.rpm
abrt-gui-2.0.8-23.el6.ppc64.rpm
abrt-tui-2.0.8-23.el6.ppc64.rpm
abrt-devel-2.0.8-23.el6.ppc64.rpm
abrt-addon-ccpp-2.0.8-23.el6.i686.rpm
abrt-desktop-2.0.8-23.el6.i686.rpm
abrt-2.0.8-23.el6.i686.rpm
abrt-debuginfo-2.0.8-23.el6.i686.rpm
abrt-addon-python-2.0.8-23.el6.i686.rpm
abrt-tui-2.0.8-23.el6.i686.rpm
abrt-cli-2.0.8-23.el6.i686.rpm
abrt-addon-kerneloops-2.0.8-23.el6.i686.rpm
abrt-libs-2.0.8-23.el6.i686.rpm
abrt-addon-vmcore-2.0.8-23.el6.i686.rpm
abrt-gui-2.0.8-23.el6.i686.rpm
abrt-console-notification-2.0.8-23.el6.i686.rpm
abrt-devel-2.0.8-23.el6.i686.rpm
abrt-debuginfo-2.0.8-23.el6.s390x.rpm
abrt-2.0.8-23.el6.s390x.rpm
abrt-console-notification-2.0.8-23.el6.s390x.rpm
abrt-addon-vmcore-2.0.8-23.el6.s390x.rpm
abrt-addon-ccpp-2.0.8-23.el6.s390x.rpm
abrt-gui-2.0.8-23.el6.s390x.rpm
abrt-tui-2.0.8-23.el6.s390x.rpm
abrt-addon-kerneloops-2.0.8-23.el6.s390x.rpm
abrt-cli-2.0.8-23.el6.s390x.rpm
abrt-desktop-2.0.8-23.el6.s390x.rpm
abrt-addon-python-2.0.8-23.el6.s390x.rpm
abrt-libs-2.0.8-23.el6.s390x.rpm
abrt-devel-2.0.8-23.el6.s390x.rpm

Comment 7 Sreenath G 2014-07-28 09:37:02 UTC
Reverted back. abrt-2.0.8-23.el6 has been untagged and removed from package list for rhs-3.0

   bala need to communicate regarding the alternate solution for this dependency

Comment 8 Bala.FA 2014-07-28 14:55:38 UTC
Based on the discussion, we will go with whatever abrt available currently and do doctext for bz#1116789 on the workaround.

Comment 9 Bala.FA 2014-07-28 15:34:49 UTC
Patch is under review https://code.engineering.redhat.com/gerrit/29890

Comment 11 Rejy M Cyriac 2014-07-30 13:39:37 UTC
Verified -  Upgrade_with/Install_of redhat-storage-server-3.0.0.3-2.el6rhs completes without any dependency issues.

Comment 13 errata-xmlrpc 2014-09-22 19:44:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-1278.html


Note You need to log in before you can comment on or make changes to this bug.